Subject: IPv6 Advanced Socket API and POSIX

From: Mark Andrews <[email-masked]>
Date: Tue, 26 Jul 2011 13:50:57 +1000

Could the IESG please negotiate with Opengroup to get the IPv6
Advanced Socket API included into the next POSIX revision.

RFC 2133 "Basic Socket Interface Extensions for IPv6" (now RFC 2553)
and RFC 2292 "IPv6 Advanced Socket API" (now RFC 3542) were designed
to work together as a single API.  POSIX however only includes the
Basic Socket Interface Extensions for IPv6 in its specification.

This has resulted in operating system vendors being force to hide
the IPv6 Advanced Socket API namespace to achieve POSIX compliance
and multiple methods being independently developed to address issues
addressed by the IPv6 Advanced Socket API.

As a result of this application developers are left in the unenviable
place of having to work out how to expose the IPv6 Advanced Socket
API and also work out what other APIs have been developed to
essentially do what the IPv6 Advanced Socket API does.

I'm aware of 3 different APIs to force IPv6 fragmentation in the
node and multiple different methods to expose the parts of the IPv6
Advanced Socket API that have been implemented.

One can't write a reliable authoritative IPv6 nameserver using just
the Basic Socket Interface Extensions for IPv6.  A nameserver needs
to use some of the functionality in the IPv6 Advanced Socket API
to deal with the way IPv6 fragments packets.

Mark
-- 
Mark Andrews, ISC
1 Seymour St., Dundas Valley, NSW 2117, Australia
PHONE:	+61 2 9871 4742		         INTERNET: [email-masked]

---

From: Samita Chakrabarti <[email-masked]>
Date: Tue, 26 Jul 2011 01:19:09 -0400

In addition, RFC 5014 (IPv6 Socket API for source address selection) would be useful to include into the next POSIX revision. This document allows applications to choose a source address when default source address selection is in place at the IP stack.

Thanks,
-Samita
-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Mark Andrews
Sent: Monday, July 25, 2011 8:51 PM
To: [email-masked]
Cc: [email-masked]
Subject: IPv6 Advanced Socket API and POSIX

Could the IESG please negotiate with Opengroup to get the IPv6 Advanced Socket API included into the next POSIX revision.

RFC 2133 "Basic Socket Interface Extensions for IPv6" (now RFC 2553) and RFC 2292 "IPv6 Advanced Socket API" (now RFC 3542) were designed to work together as a single API.  POSIX however only includes the Basic Socket Interface Extensions for IPv6 in its specification.

This has resulted in operating system vendors being force to hide the IPv6 Advanced Socket API namespace to achieve POSIX compliance and multiple methods being independently developed to address issues addressed by the IPv6 Advanced Socket API.

As a result of this application developers are left in the unenviable place of having to work out how to expose the IPv6 Advanced Socket API and also work out what other APIs have been developed to essentially do what the IPv6 Advanced Socket API does.

I'm aware of 3 different APIs to force IPv6 fragmentation in the node and multiple different methods to expose the parts of the IPv6 Advanced Socket API that have been implemented.

One can't write a reliable authoritative IPv6 nameserver using just the Basic Socket Interface Extensions for IPv6.  A nameserver needs to use some of the functionality in the IPv6 Advanced Socket API to deal with the way IPv6 fragments packets.

Mark
--
Mark Andrews, ISC
1 Seymour St., Dundas Valley, NSW 2117, Australia
PHONE:	+61 2 9871 4742		         INTERNET: [email-masked]
_______________________________________________
Ietf mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ietf